echo off

rem Copyright IBM Corp. 2005
rem
rem THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
rem ALL Rights Reserved * Licensed Materials - Property of IBM
rem US Government Users Restricted Rights - Use, duplication or disclosure
rem restricted by GSA ADP Schedule Contract with IBM Corp.

set RAD_DIR_LONG=%~1

"%~dp0util\ShortPath" "%RAD_DIR_LONG%">%TEMP%\SP.tmp
for /f %%i in ( %TEMP%\SP.tmp ) do set RAD_DIR=%%i
del %TEMP%\SP.tmp

setlocal

pushd "%~dp0"
set UPDATE_DIR=%cd%
popd

"%~dp0util\ShortPath" "%UPDATE_DIR%">%TEMP%\SP.tmp
for /f %%i in ( %TEMP%\SP.tmp ) do set UPDATE_DIR=%%i
del %TEMP%\SP.tmp

set JAVA_HOME=%RAD_DIR%\runtimes\base_v51_stub\java

pushd %RAD_DIR%\eclipse\plugins\org.apache.ant_*
set ANT_HOME=%cd%
popd

pushd util
"%RAD_DIR%\runtimes\base_v51_stub\java\bin\java" -classpath %ANT_HOME%\lib\ant-launcher.jar -Dant.home=%ANT_HOME% -DTEMP_DIR="%cd%\.." -DPRODUCT_DIR="%RAD_DIR%" -Dvpd-properties-file="%windir%\vpd.properties" org.apache.tools.ant.launch.Launcher -buildfile rpu_portal_update_installer.xml -lib util.jar -propertyfile updater.properties >> %RAD_DIR%\logs\TKUpdate.log
popd

if NOT EXIST util\temp2.txt goto error

for /f %%i in ( util\temp2.txt ) do set WPS_VERSION=%%i

if "%WPS_VERSION%" == "WPS_VERSION=5.1.0.1\r\n" goto finish
if "%WPS_VERSION%" == "WPS_VERSION=5.1.0.2\r\n" goto finish
if "%WPS_VERSION%" == "WPS_VERSION=5.1.0.3\r\n" goto finish

del util\temp2.txt

:error
endlocal
echo Please view TKUpdate.log in PortalServer/log
echo Portal UTE 5.1.0.* has not being installed.
echo ---- %~nx0 Ended. (Error) %DATE% %TIME% ----
exit 1

:finish
del util\temp2.txt
exit /B
