#! /bin/sh

# Copyright IBM Corp. 2005
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

PROP_LOC=/root/vpd.properties
REG_EXP='^WebSpherePortalProduct.*5\.1\.0\.[1-3]'
SED_CMD='s/WebSpherePortalProduct.*5\.1\.0\.[1-3]|\([^|]*\)|.*/\1/'
                                                                                
if [ -e $PROP_LOC ]
then
        egrep $REG_EXP $PROP_LOC | sed $SED_CMD > prod_loc.tmp
fi
                                                                                
if [ -e ute_loc.tmp ]
then
        rm ute_loc.tmp
fi
                                                                                
for location in `cat prod_loc.tmp`
do
        if [ -e $location/version/TOOLKIT.product ]
        then
                echo $location >> ute_loc.tmp
        fi
done

if [ ! -e ute_loc.tmp ]
then
	exit 1
fi
                                                                                
for location in `cat ute_loc.tmp`
do
        if [ -e $location/wps.properties ]
        then
                egrep 'version\=5\.1\.0\.[1-3]' $location/wps.properties > version.tmp
                S1=`cat version.tmp`
                S2=''
                if [ "$S1" != "$S2" ]
                then
                        echo $location > version.tmp
                fi
        fi
done
                                                                                
if [ ! -e version.tmp ]
then
	exit 1
fi
  
WPS_DIR=`cat version.tmp`
test=''
                                                                              
if [ "$WPS_DIR" = "$test" ]
then
        exit 1
fi

